libsort-versions-perl_1.62-1_all.deb


Advertisement

Description

libsort-versions-perl - Perl module for sorting of revision (and similar) numbers

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename libsort-versions-perl_1.62-1_all.deb
Package name libsort-versions-perl
Package version 1.62
Package release 1
Package architecture all
Package type deb
Category devel::lang:perl devel::library implemented-in::perl perl
Homepage https://metacpan.org/release/Sort-Versions
License -
Maintainer Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Download size 10.74 KB
Installed size 25.00 KB
The Sort::Versions module allows easy sorting (via comparisons) of mixed text
and numeric strings, similar to the complex "version numbers" that many
revision control packages and shared library systems use. For an explanation
of the algorithm, it's easiest to look at these examples:
1.1   <  1.2
1.1a  <  1.2
1.1   <  1.1.1
1.1   <  1.1a
1.1.a <  1.1a
1     <  a
a     <  b
1     <  2
(special handling for leading zeros)
0002  <  1
1.06  <  1.5
(a hyphen binds looser than a period)
1-1 < 1-2
1-2 < 1.2

Alternatives

Package Version Architecture Repository
libsort-versions-perl_1.62-1_all.deb 1.62 all Debian Main
libsort-versions-perl - - -

Requires

Name Value
perl -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libsort-versions-perl_1.62-1_all.deb
Source Package libsort-versions-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libsort-versions-perl deb package:
    # sudo apt-get install libsort-versions-perl

Files

Path
/usr/share/doc/libsort-versions-perl/changelog.Debian.gz
/usr/share/doc/libsort-versions-perl/changelog.gz
/usr/share/doc/libsort-versions-perl/copyright
/usr/share/man/man3/Sort::Versions.3pm.gz
/usr/share/perl5/Sort/Versions.pm

Changelog

2015-12-15 - gregor herrmann <gregoa@debian.org>
libsort-versions-perl (1.62-1) unstable; urgency=medium
* Team upload.
* Import upstream version 1.62.
* Update debian/upstream/metadata.
2015-08-16 - Lucas Kanashiro <kanashiro.duarte@gmail.com>
libsort-versions-perl (1.61-1) unstable; urgency=medium
* Team upload.
[ Salvatore Bonaccorso ]
* Update Vcs-Browser URL to cgit web frontend
[ Lucas Kanashiro ]
* Add debian/upstream/metadata
* Import upstream version 1.61
* Declare compliance with Debian policy 3.9.6
* Bump debhelper compatibility level to 9
* Add autopkgtest-pkg-perl
2014-06-15 - gregor herrmann <gregoa@debian.org>
libsort-versions-perl (1.60-1) unstable; urgency=low
* Team upload.
[ Salvatore Bonaccorso ]
* debian/control: Changed: Replace versioned (build-)dependency on
perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
permitted by Debian Policy 3.8.3).
[ Ansgar Burchardt ]
* Email change: Ansgar Burchardt -> ansgar@debian.org
* debian/control: Convert Vcs-* fields to Git.
[ Salvatore Bonaccorso ]
* Change search.cpan.org based URIs to metacpan.org based URIs
[ Axel Beckert ]
* debian/copyright: migrate pre-1.0 format to 1.0 using "cme fix dpkg-
copyright"
[ gregor herrmann ]
* Strip trailing slash from metacpan URLs.
* New upstream release.
* Switch to "3.0 (quilt)" source format.
* debian/copyright: update Upstream-Contact, upstream copyright
information, and refresh license stanzas.
* Bump debhelper compatibility level to 8.
* Declare compliance with Debian Policy 3.9.5.
2009-07-21 - Ansgar Burchardt <ansgar@43-1.org>
libsort-versions-perl (1.5-4) unstable; urgency=low
[ gregor herrmann ]
* Take over for the Debian Perl Group with maintainer's permission
(http://lists.debian.org/debian-perl/2008/06/msg00039.html)
* debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
field (source stanza); Homepage field (source stanza). Removed:
Homepage pseudo-field (Description). Changed: Maintainer set to
Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
(was: Florian Ragwitz <rafl@debian.org>); Florian Ragwitz
<rafl@debian.org> moved to Uploaders.
* debian/watch: use dist-based URL.
* debian/control: Changed: Switched Vcs-Browser field to ViewSVN
(source stanza).
* debian/control: Added: ${misc:Depends} to Depends: field.
[ Ryan Niebur ]
* Remove Florian Ragwitz from Uploaders
* Close ITA (Closes: #523147)
[ Nathan Handler ]
* debian/watch: Update to ignore development releases.
[ Ansgar Burchardt ]
* Refresh rules for debhelper 7.
* Do no longer install README (part of POD documentation).
* Add myself to Uploaders.
* Convert debian/copyright to proposed machine-readable format.
* Bump Standards-Version to 3.8.2.
2006-02-10 - Florian Ragwitz <rafl@debian.org>
libsort-versions-perl (1.5-3) unstable; urgency=low
* New maintainer (Closes: #344456).
* Moved all build-dep-indep packages to build-dep if they are needed in the
clean target.
* Removed build-dependency to libtest-simple-perl. It's a core module.
2005-10-07 - Florian Ernst <florian@debian.org>
libsort-versions-perl (1.5-2) unstable; urgency=low
* New maintainer. (Closes: #331098: RFA: libsort-versions-perl -- Perl
module for sorting of revision (and similar) numbers)
* debian/control: add upstream Homepage to long description
* debian/copyright: extend note about previous and current maintainer
* Minor adjustments to follow latest Perl Policy
* Standards-Version 3.6.2, no changes required
2003-08-26 - Kenneth J. Pronovici <pronovic@debian.org>
libsort-versions-perl (1.5-1) unstable; urgency=low
* New upstream release.
* Updated debian/copyright to match information in upstream README.
* Bumped standards version to 3.5.9.
* Now run regression tests on build.
- Added 'make test' to debian/rules
- Added libtest-simple-perl to build dependencies in debian/control

See Also

Package Description
libsoundio-dev_1.0.2-2_i386.deb cross platform audio input and output library (development files)
libsoundio1_1.0.2-2_i386.deb cross-platform audio input and output library
libsoundtouch-dev_2.1.2+ds1-1_i386.deb Development files for the sound stretching library
libsoundtouch-ocaml-dev_0.1.7-1+b5_i386.deb OCaml bindings for the sound stretching library -- runtime files
libsoundtouch-ocaml_0.1.7-1+b5_i386.deb OCaml bindings for the sound stretching library -- runtime files
libsoundtouch1_2.1.2+ds1-1_i386.deb Sound stretching library
libsoup-gnome2.4-1_2.64.2-2_i386.deb HTTP library implementation in C -- GNOME support library
libsoup-gnome2.4-dev_2.64.2-2_i386.deb HTTP library implementation in C -- GNOME support development files
libsoup2.4-1_2.64.2-2_i386.deb HTTP library implementation in C -- Shared library
libsoup2.4-cil-dev_2.42.2+git20151219-3_i386.deb CLI bindings for libsoup2.4 - development package
libsoup2.4-cil_2.42.2+git20151219-3_i386.deb CLI bindings for libsoup2.4
libsoup2.4-dev_2.64.2-2_i386.deb HTTP library implementation in C -- Development files
libsoup2.4-doc_2.64.2-2_all.deb HTTP library implementation in C -- API Reference
libsource-highlight-common_3.1.8-1.2_all.deb architecture-independent files for source highlighting library
libsource-highlight-dev_3.1.8-1.2+b1_i386.deb development files for source highlighting library
Advertisement
Advertisement